[metadata]
license_files = 
	LICENSE
name = importlib_resources
author = Barry Warsaw
author_email = barry@python.org
description = Read resources from Python packages
long_description = file: README.rst
url = https://github.com/python/importlib_resources
license = Apache2
classifiers = 
	Development Status :: 5 - Production/Stable
	Intended Audience :: Developers
	License :: OSI Approved :: Apache Software License
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3 :: Only
project_urls = 
	Documentation = https://importlib-resources.readthedocs.io/

[options]
packages = find_namespace:
include_package_data = true
python_requires = >=3.6
install_requires = 
	zipp >= 0.4; python_version < '3.8'
setup_requires = setuptools_scm[toml] >= 3.4.1

[options.packages.find]
exclude = 
	build*
	dist*
	docs*
	tests*

[options.extras_require]
testing = 
	pytest >= 4.6
	pytest-checkdocs >= 1.2.3
	pytest-flake8
	pytest-black >= 0.3.7; python_implementation != "PyPy"
	pytest-cov
	pytest-mypy; python_implementation != "PyPy"
	pytest-enabler
docs = 
	sphinx
	jaraco.packaging >= 8.2
	rst.linker >= 1.9

[egg_info]
tag_build = 
tag_date = 0

